Subject: Re: bug#6629: 24.0.50; stack overflow in equal (immediately)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Jul 2010 11:04:45 +0300

> From: "Drew Adams" <[email-masked]>
> Date: Tue, 13 Jul 2010 23:35:42 -0700
> Cc: 
> 
> emacs -Q
>  
> Evaluate these sexps, in turn:
>  
> (setq default-frame-alist
>       '((font . "-*-Lucida Console-normal-r-*-*-14-112-96-96-c-*-iso8859-1")))
>  
> (defun foo ()
>   "..."
>   (interactive)
>   (setq pop-up-frames  t)
>   (setq minibuffer-frame-alist (append foooo minibuffer-frame-alist)))
>  
> (foo)
>  
> You get this error message - nothing more:
>  
>  Stack overflow in equal
> 
> (Note that foooo is an unbound variable.)  This bug is new with this binary.
> The windows binary posted on 6/28 has no such problem.

I can see this problem in yesterday's build, but it's gone in today's
build.  With today's binary, I get a new frame popping up with the
debugger saying that foooo is unbound, as expected.

I think Handa-san's change from this morning (reverting his prior
change from 2 days ago) may have fixed this.

So I'm closing this bug.  If it comes back in the next binary you
have, please reopen.